Page MenuHomePhabricator

Submit of watchlist settings leads to edit of the main page in installation without URL rewriting
Closed, ResolvedPublic

Description

The URL of the watchlist on an installation without URL rewriting is index.php?title=Special:Watchlist. A submit of the setting changes leads to the URL index.php?days=0&namespace=&action=submit. This is the edit page of the main page. The URL parameter title=Special:Watchlist get lost.

Event Timeline

Fomafix created this task.Dec 16 2015, 11:12 AM
Fomafix raised the priority of this task from to Needs Triage.
Fomafix updated the task description. (Show Details)
Fomafix added a project: MediaWiki-Watchlist.
Fomafix added a subscriber: Fomafix.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 16 2015, 11:12 AM
Fomafix claimed this task.Dec 16 2015, 11:36 AM

Change 259478 had a related patch set uploaded (by Gerrit Patch Uploader):
SpecialWatchlist: Move title from form action to hidden input

https://gerrit.wikimedia.org/r/259478

TTO added a subscriber: TTO.Dec 16 2015, 11:48 AM

Looks like this is also a problem in ChangeTags::buildTagFilterSelector...

Looks like this is also a problem in ChangeTags::buildTagFilterSelector...

Where do you see a problem?

TTO added a comment.Dec 29 2015, 11:28 PM

Lines 686-690 of ChangeTags.php:

		$html = Xml::tags(
			'form',
			array( 'action' => $title->getLocalURL(), 'class' => 'mw-tagfilter-form', 'method' => 'get' ),
			$html
		);

Needs the same treatment.

Yes, the action may have the same problem. But line 685 already contains:

$html .= "\n" . Html::hidden( 'title', $title->getPrefixedText() );

As far as I see is this part of code not used because ChangeTags::buildTagFilterSelector is never used with $fullForm == true.

Fomafix triaged this task as Normal priority.Jan 31 2016, 4:23 PM
Florian closed this task as Resolved.Oct 14 2016, 2:20 PM

Change 259478 merged by jenkins-bot:
SpecialWatchlist: Move title from form action to hidden input

https://gerrit.wikimedia.org/r/259478